https://gitlab.gnome.org/GNOME/gthumb/-/issues/235

From 77b0e6186579fccfca8a516b1399564228e01793 Mon Sep 17 00:00:00 2001
From: Paolo Bacchilega <paobac@src.gnome.org>
Date: Wed, 10 Aug 2022 07:49:00 +0200
Subject: [PATCH] rename series: fixed date format not applied correctly

Closes #235
---
 extensions/rename_series/dlg-rename-series.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/extensions/rename_series/dlg-rename-series.c b/extensions/rename_series/dlg-rename-series.c
index 60c784fe..cc0612da 100644
--- a/extensions/rename_series/dlg-rename-series.c
+++ b/extensions/rename_series/dlg-rename-series.c
@@ -162,6 +162,12 @@ template_eval_cb (TemplateFlags   flags,
 	char         *path;
 	GTimeVal      timeval;
 
+	if ((parent_code == 'D') || (parent_code == 'M')) {
+		/* strftime code, return the code itself. */
+		_g_string_append_template_code (result, code, args);
+		return FALSE;
+	}
+
 	switch (code) {
 	case '#':
 		text = _g_template_replace_enumerator (args[0], template_data->n);
-- 
GitLab

